# CvMatND Struct Reference

`#include <types_c.h>`

List of all members.

## Public Attributes

union {
double * db
float * fl
int * i
uchar * ptr
short * s
} | data
struct {
int size
int step
} | dim [CV_MAX_DIM]
int | dims
int | hdr_refcount
int * | refcount
int | type

## Member Data Documentation

union { ... } CvMatND::data

double* CvMatND::db

struct { ... } CvMatND::dim[CV_MAX_DIM]

int CvMatND::dims

float* CvMatND::fl

int CvMatND::hdr_refcount

int* CvMatND::i

uchar* CvMatND::ptr

int* CvMatND::refcount

short* CvMatND::s

int CvMatND::size

int CvMatND::step

int CvMatND::type

The documentation for this struct was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/types_c.h

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines